Create a security project
https://api.elastic-cloud.com
- POST /api/v1/serverless/projects/security
The response will include the created project details, such as the project ID, the credentials to access the project, and the endpoints to access different apps such as Elasticsearch and Kibana. The credentials can be regenerated at any time using the _reset-credentials endpoint.
Query Parameters
-
exclude_credentialsboolean If true, the username and password fields in the response credentials are set to empty strings and no usable credentials are returned. Credentials can be retrieved later using the _reset-credentials endpoint.
Request
Configuration of the security project to create.
-
namestring · min: 1 · max: 255required -
Descriptive name for a project.
-
aliasstring · min: 1 · max: 50 · pattern: ^[a-zA-Z]{1}(?:[a-zA-Z0-9-]*[a-zA-Z0-9]{1})?$ -
A custom domain label compatible with RFC-1035 standards. Derived from the project name by default.
-
region_idstringrequired -
Unique human-readable identifier for a region in Elastic Cloud.
-
admin_features_packageSecurityAdminFeaturesPackage -
admin features package (BYOK, BYOIDP, CCS, CCR)
-
Values:
standardenterprise -
product_typesSecurityProductType · min: 1 · max: 3 · default: [ { "product_line": "security", "product_tier": "complete" }, { "product_line": "cloud", "product_tier": "complete" }, { "product_line": "endpoint", "product_tier": "complete" } ] -
product_lineSecurityProductLinerequired -
The identifier of the Security Solution product line.
-
Values:
securitycloudendpoint -
product_tierSecurityProductTierrequired -
The identifier of the Security Solution product tier.
-
Values:
completeessentials -
search_lakeSecuritySearchLake -
Configuration for the entire set of capabilities that make the data searchable in Security.
-
data_retentionDataRetentionnullable -
Configuration to control the data retention in Elasticsearch data streams.
-
max_retention_daysinteger · min: 7 · max: 3681nullable -
Maximum number of days allowed for retaining data in Elasticsearch data streams. Can be set to "null" for unlimited. A default of 396 will be applied if no value is specified on project creation.
-
default_retention_daysinteger · min: 7 · max: 3681nullable -
Default number of days during which data remains available in Elasticsearch data streams. Can be set to "null" for unlimited. A default of 396 will be applied if no value is specified on project creation.
-
linkedCreateLinkedRequest -
Configuration for linked projects associated with this project
-
metadataProjectMetadataRequest -
Metadata request for a project with tags.
-
Tags associated with a project in the form of key-value pairs. Tags are limited to a minimum of 1 and a maximum of 64 per project. Each tag key must begin with a lowercase letter (a-z), contain only lowercase letters, digits, underscores, and hyphens (a-z0-9_-), and have a maximum length of 32 characters.
Responses
The created security project.
-
idstring · pattern: ^[a-z0-9]{32}$required -
ID of the project.
-
namestring · min: 1 · max: 255required -
Descriptive name for a project.
-
aliasstring · min: 8 · max: 57 · pattern: ^[a-zA-Z]{1}(?:[a-zA-Z0-9-]*[a-zA-Z0-9]{1})?$required -
A domain label compatible with RFC-1035 standards. Project alias with a unique suffix added by the system to avoid naming conflicts.
-
region_idstringrequired -
Unique human-readable identifier for a region in Elastic Cloud.
-
metadataProjectMetadatarequired -
Additional details about the project.
-
created_atstringrequired -
Date and time when the project was created.
-
created_bystringrequired -
ID of the user.
-
organization_idstringrequired -
The Organization ID who owns the project.
-
suspended_atstring -
Date and time when the project was suspended.
-
suspended_reasonstring -
Reason why the project was suspended.
-
Tags associated with a project in the form of key-value pairs. Tags are limited to a minimum of 1 and a maximum of 64 per project. Each tag key must begin with a lowercase letter (a-z), contain only lowercase letters, digits, underscores, and hyphens (a-z0-9_-), and have a maximum length of 32 characters.
-
System tags associated with a project in the form of key-value pairs. These tags are added by the internal system and are read-only. The keys are prefixed with an underscore to differentiate them from user tags.
-
cloud_idstringrequired -
The cloud ID, an encoded string that provides other Elastic services with the necessary information to connect to this Elasticsearch and Kibana.
-
linkedLinkConfiguration -
Configuration for projects linked to this project
-
endpointsSecurityProjectEndpointsrequired -
The endpoints to access the different apps of the project.
-
elasticsearchstringrequired -
The endpoint to access elasticsearch.
-
kibanastringrequired -
The endpoint to access kibana.
-
ingeststringrequired -
The endpoint to access the Managed OTLP Endpoint.
-
private_endpointsSecurityProjectPrivateEndpoints -
Private endpoints (URLs) for Security projects when PrivateLink is enabled.
-
elasticsearchstringrequired -
The PrivateLink endpoint URL to access elasticsearch.
-
kibanastringrequired -
The PrivateLink endpoint URL to access kibana.
-
ingeststringrequired -
The PrivateLink endpoint URL to access the Managed OTLP Endpoint.
-
search_lakeSecuritySearchLake -
Configuration for the entire set of capabilities that make the data searchable in Security.
-
data_retentionDataRetentionnullable -
Configuration to control the data retention in Elasticsearch data streams.
-
max_retention_daysinteger · min: 7 · max: 3681nullable -
Maximum number of days allowed for retaining data in Elasticsearch data streams. Can be set to "null" for unlimited. A default of 396 will be applied if no value is specified on project creation.
-
default_retention_daysinteger · min: 7 · max: 3681nullable -
Default number of days during which data remains available in Elasticsearch data streams. Can be set to "null" for unlimited. A default of 396 will be applied if no value is specified on project creation.
-
admin_features_packageSecurityAdminFeaturesPackage -
admin features package (BYOK, BYOIDP, CCS, CCR)
-
Values:
standardenterprise -
product_typesSecurityProductType · min: 1 · max: 3 · default: [ { "product_line": "security", "product_tier": "complete" }, { "product_line": "cloud", "product_tier": "complete" }, { "product_line": "endpoint", "product_tier": "complete" } ] -
product_lineSecurityProductLinerequired -
The identifier of the Security Solution product line.
-
Values:
securitycloudendpoint -
product_tierSecurityProductTierrequired -
The identifier of the Security Solution product tier.
-
Values:
completeessentials -
credentialsProjectCredentialsrequired -
Basic auth credentials to access the Elasticsearch API.
Response Headers
-
ETagstring
Bad request